Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.FlagRegister

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.Simulator.IMRReg
              avrora.sim.Simulator.FlagRegister

All Implemented Interfaces:
  State.IOReg

Enclosing class:
  Simulator

public class Simulator.FlagRegister
extends avrora.sim.Simulator.IMRReg

Field Summary
`protected int` | `baseVect`
`protected boolean` | `increasingVectors`
`Simulator.MaskRegister` | `maskRegister`

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Constructor Summary
`Simulator.FlagRegister(boolean inc, int baseVect)`

Method Summary
`void` | `clearBit(int bit)` The `clearBit()` method clears a single bit in the IO register.
`void` | `flagBit(int bit)`
`protected int` | `getVectorNum(int bit)`
`void` | `setBit(int bit)` The `setBit()` method sets a single bit in the IO register.
`void` | `update(int bit, avrora.sim.Simulator.IMRReg other)`
`void` | `update(avrora.sim.Simulator.IMRReg other)`
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.

Methods inherited from class avrora.sim.State.RWIOReg
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maskRegister

    public final Simulator.MaskRegister maskRegister

### baseVect

    protected final int baseVect

### increasingVectors

    protected final boolean increasingVectors

Constructor Detail

### Simulator.FlagRegister

    public Simulator.FlagRegister(boolean inc,
                                  int baseVect)

Method Detail

### write

    public void write(byte val)

  Description copied from class: `State.RWIOReg`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWIOReg` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `State.IOReg`
  Overrides:
    `write` in class `State.RWIOReg`
  Parameters:
    `val` - the value to write

### flagBit

    public void flagBit(int bit)

### setBit

    public void setBit(int bit)

  Description copied from class: `State.RWIOReg`
  The `setBit()` method sets a single bit in the IO register.

  Specified by:
    `setBit` in interface `State.IOReg`
  Overrides:
    `setBit` in class `State.RWIOReg`
  Parameters:
    `bit` - the number of the bit to clear

### clearBit

    public void clearBit(int bit)

  Description copied from class: `State.RWIOReg`
  The `clearBit()` method clears a single bit in the IO register.

  Specified by:
    `clearBit` in interface `State.IOReg`
  Overrides:
    `clearBit` in class `State.RWIOReg`
  Parameters:
    `bit` - the number of the bit to clear

### update

    public void update(avrora.sim.Simulator.IMRReg other)

### update

    public void update(int bit,
                       avrora.sim.Simulator.IMRReg other)

### getVectorNum

    protected int getVectorNum(int bit)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD